Skip to main content
`Ctrl`+`K`

# PCMGGetCoarseSpaceConstructor

Returns the given coarse space construction method.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetCoarseSpaceConstructor(const char name[], PetscErrorCode (**function)(PC, PetscInt, DM, KSP, PetscInt, Mat, Mat *))

Not Collective, No Fortran Support

## Input Parameter

- name - name of the constructor

## Output Parameter

- function - constructor routine

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGRegisterCoarseSpaceConstructor()`, `PCRegister()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages